aboutsummaryrefslogtreecommitdiffstats
path: root/fuel-plugin/deployment_scripts
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2016-06-21 03:03:32 +0800
committerGuo Ruijing <ruijing.guo@intel.com>2016-06-21 03:05:17 +0800
commit675eef731a098f83aa98c2021b151b7e5ba1da7d (patch)
tree77593df19c82bad2844743034600a93aa0255239 /fuel-plugin/deployment_scripts
parent3ec9f7fbd9ed74126ae92be3e7d4c16b39674987 (diff)
Add fuel plugin for Yardstick
1. fuel can deploy yardstick 2. todo: fuel run yardstick Change-Id: If1a4b178187d78bdc2d4c3b6469faff78dc51ead Signed-off-by: Chou, David J <david.j.chou@intel.com> Signed-off-by: Hinman, John <john.hinman@intel.com> Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'fuel-plugin/deployment_scripts')
-rwxr-xr-xfuel-plugin/deployment_scripts/install.sh26
-rw-r--r--fuel-plugin/deployment_scripts/puppet/manifests/yardstick-install.pp33
2 files changed, 59 insertions, 0 deletions
diff --git a/fuel-plugin/deployment_scripts/install.sh b/fuel-plugin/deployment_scripts/install.sh
new file mode 100755
index 000000000..f0bb3e366
--- /dev/null
+++ b/fuel-plugin/deployment_scripts/install.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -eux
+
+HOST=$1
+INSTALL_HOME=/opt/yardstick
+rm -rf $INSTALL_HOME; mkdir -p $INSTALL_HOME
+
+cd $INSTALL_HOME
+
+sudo apt-get install -y python-virtualenv python-dev python-pip libffi-dev libssl-dev libxml2-dev libxslt1-dev
+pip install --user virtualenv
+pip install --upgrade virtualenv
+
+# create python virtual env
+virtualenv $INSTALL_HOME/yardstick_venv
+# source $INSTALL_HOME/yardstick_venv/bin/activate
+
+easy_install -U setuptools
+
+mkdir bin
+cd $INSTALL_HOME/bin
+
+curl http://$HOST:8080/plugins/fuel-plugin-yardstick-0.9/repositories/ubuntu/yardstick.tar.gz | tar xzvf -
+
+pip install -r tests/ci/requirements.txt
diff --git a/fuel-plugin/deployment_scripts/puppet/manifests/yardstick-install.pp b/fuel-plugin/deployment_scripts/puppet/manifests/yardstick-install.pp
new file mode 100644
index 000000000..6547cb452
--- /dev/null
+++ b/fuel-plugin/deployment_scripts/puppet/manifests/yardstick-install.pp
@@ -0,0 +1,33 @@
+$fuel_settings = parseyaml(file('/etc/astute.yaml'))
+$master_ip = $::fuel_settings['master_ip']
+
+$access_hash = hiera_hash('access', {})
+$admin_tenant = $access_hash['tenant']
+$admin_user = $access_hash['user']
+$admin_password = $access_hash['password']
+$region = hiera('region', 'RegionOne')
+
+$service_endpoint = hiera('service_endpoint', $management_vip)
+$ssl_hash = hiera_hash('use_ssl', {})
+$internal_auth_protocol = get_ssl_property($ssl_hash, {}, 'keystone', 'internal', 'protocol', 'http')
+$internal_auth_address = get_ssl_property($ssl_hash, {}, 'keystone', 'internal', 'hostname', [$service_endpoint])
+$identity_uri = "${internal_auth_protocol}://${internal_auth_address}:5000"
+$auth_url = "${identity_uri}/${auth_api_version}"
+
+exec { "install yardstick":
+ command => "curl http://${master_ip}:8080/plugins/fuel-plugin-yardstick-0.9/deployment_scripts/install.sh | bash -s ${master_ip}",
+ path => "/usr/local/bin:/usr/bin:/usr/sbin:/bin:/sbin";
+}
+
+osnailyfacter::credentials_file { '/opt/yardstick/openrc':
+ admin_user => $admin_user,
+ admin_password => $admin_password,
+ admin_tenant => $admin_tenant,
+ region_name => $region,
+ auth_url => $auth_url,
+}
+
+exec { "run yardstick":
+ command => "echo hello",
+ path => "/usr/local/bin:/usr/bin:/usr/sbin:/bin:/sbin";
+}